package com.trs.project.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;


@Data
@TableName("news_article_info")
public class NewsArticleInfo {
    @TableId
    private String irhkeybbsnum;//数据唯一值
    private String urldate;//发布日期
    private String pubtime;//发布时间
    private String source;//来源
    private String content;//正文
    private String title;//标题
    private String irsrcname;//文章来源
    private String url;//文章链接
    private String sitename;//站点
    private String channel;//频道
    private String irauthors;//作者
    private String groupname;//国内新闻、国内论坛、国内博客、APP
    private String resultstr;//企业客户风险
    private String trscustrisk;//企业客户风险
    private String trsarea;//地区分类
    private String trsindustry;//行业分类
    private String trskeyworks;//关键词
    private String trsabstract;//摘要
    private LocalDateTime savetime;//发布日期

    public NewsArticleInfo() {
    }

    public  NewsArticleInfo(DataCleaning dataCleaning) {
        this.irhkeybbsnum = dataCleaning.getIrhkeybbsnum();
        this.urldate = dataCleaning.getUrldate();
        this.pubtime = dataCleaning.getPubtime();
        this.source = dataCleaning.getSource();
        this.content = dataCleaning.getContent();
        this.title = dataCleaning.getTitle();
        this.irsrcname = dataCleaning.getIrsrcname();
        this.url = dataCleaning.getUrl();
        this.sitename = dataCleaning.getSitename();
        this.channel = dataCleaning.getChannel();
        this.irauthors = dataCleaning.getIrauthors();
        this.groupname = dataCleaning.getGroupname();
        this.resultstr = dataCleaning.getResultstr();
        this.trscustrisk = dataCleaning.getTrscustrisk();
        this.trsarea = dataCleaning.getTrsarea();
        this.trsindustry = dataCleaning.getTrsindustry();
        this.trskeyworks = dataCleaning.getTrskeyworks();
        this.trsabstract = dataCleaning.getTrsabstract();
        this.savetime = dataCleaning.getSavetime();
    }
}

